# -*- mode: ruby -*-
# Copyright 2016 Tero Karvinen http://terokarvinen.com

class flaskapache {

	Exec {
		path => ["/bin/", "/usr/bin/", "/sbin/", "/usr/sbin/", "/usr/lib/nagios/plugins/"],
	}

	Package {
		ensure => "installed", 
	}

	package {"apache2":}
	package {"nagios-plugins-basic":}

	package {["libapache2-mod-wsgi-py3", "python3", "python3-flask", 
		"python3-flask-sqlalchemy", "python3-psycopg2", "python3-requests", 
		"python3-wtforms", "python-flaskext.wtf", "python3-pytest" ]:}
	
	exec {"a2enmod wsgi":
		creates => "/etc/apache2/mods-enabled/wsgi.conf",
		notify => Service["apache2"],
		require => Package["apache2"], 
	}

	service  {"apache2":
		ensure => "running",
		enable => "true",
		require => Package["apache2"], 
	}
	
	file {"/etc/apache2/sites-enabled/000-default.conf":
		ensure => "absent",
		notify => Service["apache2"],
		require => Package["apache2"], 
	}


}


