# -*- mode: ruby -*-
# Copyright 2016 Tero Karvinen http://terokarvinen.com

define flaskapache::wsgivhost($serverName, $samplefiles=true, $requirestring=" ", $maintemplate="main.py.erb") {
	include flaskapache
	$user=$title
	$flaskDir="/home/$user/grouped/public_flask/"
	$secretkey='kgJanaa45_lkj3s9JLLKns'	# TODO: randomize
	
	## User (groupuser) Configuration ##

	if $samplefiles {
		# notice("samplefiles is true. samplefiles: $samplefiles")
		# mode 2xxx: set group id, chmod g+s
	
		file {"$flaskDir":
			ensure => "directory",
			mode => '0661', 
			owner => "$user",
			group => "$user", 
		}
		
		file {"$flaskDir/app/":
			ensure => "directory",
			mode => '2661', 
			owner => "$user",
			group => "$user", 
		}
		
		file {"$flaskDir/app/static/":
			ensure => "directory",
			mode => '2661', 
			owner => "$user",
			group => "$user", 
		}
	
		file {"$flaskDir/init.wsgi":
			content => template("flaskapache/init.wsgi.erb"),
			notify => Service["apache2"],
			replace => "false", 
			mode => '0660', 
			owner => "$user",
			group => "$user", 
			require => [Package["apache2"], File["$flaskDir"]],
		}

		file {"$flaskDir/app/main.py":
			replace => 'false',	# this is just a sample
			mode => '0664', 
			owner => "$user",
			group => "$user", 
			content => template("flaskapache/$maintemplate"),
		}
		
		file {"$flaskDir/flask_config.cfg":
			replace => 'false',	# this is just a sample
			mode => '0660', 
			owner => "$user",
			group => "$user", 
			content => template("flaskapache/flask_config.cfg.erb"),
		}
	}

	## Server Configuration ##

	file {"/etc/apache2/sites-available/$user.conf":
		content => template("flaskapache/site.conf.erb"),
		notify => Service["apache2"],
		require => Package["apache2"], 
	}
	
	file {"/etc/apache2/sites-enabled/$user.conf":
		ensure => "symlink",
		target => "../sites-available/$user.conf",
		notify => Service["apache2"],
		require => Package["apache2"], 
	}

	
	## Test ##
	
	exec {"check_http -I localhost -H $serverName -u '/' -s '$requirestring'":
		unless => "check_http -I localhost -H $serverName -u '/' -s '$requirestring'",
		logoutput => on_failure,
		require => [Service["apache2"], Package["nagios-plugins-basic"]], 
		path => ["/usr/lib/nagios/plugins/"],
	}
}
