# Copyright 2016 Tero Karvinen http://TeroKarvinen.com

define postgre::db() {
	# create postgre user for $title, which must already exist as a system user
	include postgre
	
	Exec {
		path => ["/bin/", "/usr/bin/", "/sbin/", "/usr/sbin/", 
			"/usr/lib/nagios/plugins/"],
	}
	
	exec {"createdb $title":
		user => "postgres",
		unless => "psql -l|grep '^ $title '",
		require => Package["postgresql"], 
	}
	
	exec {"createuser $title":
		user => "postgres",
		unless => "psql postgres -tAc \"SELECT 1 FROM pg_roles WHERE rolname='$title'\"|grep 1",
		require => Package["postgresql"], 
	}
	
	exec {"psql -l|grep $title":	# test
		user => "$title",
		unless => "psql -l|grep $title",
		require => Package["postgresql"], 
	}
}
