# -*- mode: ruby -*-
# Copyright 2016 Tero Karvinen http://terokarvinen.com
# minibotbook sshd

class sshd($port=22, $pwauth="no", $extra="") {
	Package { ensure => "installed", }
	Service { ensure => "running", enable => "true", }
	
	package {"openssh-server":}
	service {"ssh": 
		require => Package["openssh-server"]
	}
	
	group {"sshers":
		ensure => 'present',
		# /etc/adduser.conf; we use 50k+ for non-login gid/uid
		gid => '52101', 
	}
	
	file {"/etc/ssh/sshd_config":
		ensure => "present",
		notify => Service["ssh"],
		require => Package["openssh-server"], 
		content => template("sshd/sshd_config.erb"), # TODO: File must be audited, vagrant settings
	}
}
