# -*- mode: ruby -*-
# Copyright 2016 Tero Karvinen http://terokarvinen.com

# A non-login user for a group projects, such as BotBook.com

define tuser::groupuser($uid, $expiry='absent') {
	user { "$title":
		ensure           => 'present',
		expiry		 => "$expiry",
		comment          => "$title group user,,,",
		uid              => "$uid", # We use 35101+ /etc/adduser.conf
		password         => '*', # locked, man shadow
		shell            => '/usr/sbin/nologin',
	}
	
	File {
		owner  => "$uid",
		group  => "$uid",
		mode   => '0600',	# puppet adds x for dirs
	}
	
	file { "/home/$title/":
		ensure => 'directory',
		mode   => '0755',
	}
	
	file { "/home/$title/grouped/":
		ensure => 'directory',
		mode   => '2775',	# 2xxx: set group id, chmod g+s # TODO: world readable
		require => File["/home/$title/"],
	}
}

